-- MySQL dump 10.13  Distrib 5.1.32, for Win32 (ia32)
--
-- Host: localhost    Database: piwigo
-- ------------------------------------------------------
-- Server version	5.0.51a-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `piwigo_caddie`
--

DROP TABLE IF EXISTS `piwigo_caddie`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_caddie` (
  `user_id` smallint(5) NOT NULL default '0',
  `element_id` mediumint(8) NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`element_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_caddie`
--

LOCK TABLES `piwigo_caddie` WRITE;
/*!40000 ALTER TABLE `piwigo_caddie` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_caddie` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_categories`
--

DROP TABLE IF EXISTS `piwigo_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_categories` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `id_uppercat` smallint(5) unsigned default NULL,
  `comment` text,
  `dir` varchar(255) default NULL,
  `rank` smallint(5) unsigned default NULL,
  `status` enum('public','private') NOT NULL default 'public',
  `site_id` tinyint(4) unsigned default '1',
  `visible` enum('true','false') NOT NULL default 'true',
  `representative_picture_id` mediumint(8) unsigned default NULL,
  `uppercats` varchar(255) NOT NULL default '',
  `commentable` enum('true','false') NOT NULL default 'true',
  `global_rank` varchar(255) default NULL,
  `image_order` varchar(128) default NULL,
  `permalink` varchar(64) character set utf8 collate utf8_bin default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `categories_i3` (`permalink`),
  KEY `categories_i2` (`id_uppercat`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_categories`
--

LOCK TABLES `piwigo_categories` WRITE;
/*!40000 ALTER TABLE `piwigo_categories` DISABLE KEYS */;
INSERT INTO `piwigo_categories` VALUES (1,'LL de Mars',NULL,NULL,NULL,1,'public',NULL,'true',3,'1','true','1',NULL,NULL);
/*!40000 ALTER TABLE `piwigo_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_comments`
--

DROP TABLE IF EXISTS `piwigo_comments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_comments` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `image_id` mediumint(8) unsigned NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `author` varchar(255) default NULL,
  `author_id` smallint(5) default NULL,
  `content` longtext,
  `validated` enum('true','false') NOT NULL default 'false',
  `validation_date` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `comments_i2` (`validation_date`),
  KEY `comments_i1` (`image_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_comments`
--

LOCK TABLES `piwigo_comments` WRITE;
/*!40000 ALTER TABLE `piwigo_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_config`
--

DROP TABLE IF EXISTS `piwigo_config`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_config` (
  `param` varchar(40) NOT NULL default '',
  `value` text,
  `comment` varchar(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='configuration table';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_config`
--

LOCK TABLES `piwigo_config` WRITE;
/*!40000 ALTER TABLE `piwigo_config` DISABLE KEYS */;
INSERT INTO `piwigo_config` VALUES ('allow_user_customization','true','allow users to customize their gallery?'),('allow_user_registration','true','allow visitors to register?'),('blk_menubar','','Menubar options'),('c13y_ignore','a:2:{s:7:\"version\";s:5:\"2.2.3\";s:4:\"list\";a:0:{}}','List of ignored anomalies'),('combined_dir_checked','true',NULL),('comments_forall','false','even guest not registered can post comments'),('comments_validation','false','administrators validate users comments before becoming visible'),('email_admin_on_comment','false','Send an email to the administrators when a valid comment is entered'),('email_admin_on_comment_deletion','false','Send an email to the administrators when a comment is deleted'),('email_admin_on_comment_edition','false','Send an email to the administrators when a comment is modified'),('email_admin_on_comment_validation','false','Send an email to the administrators when a comment requires validation'),('email_admin_on_new_user','false','Send an email to theadministrators when a user registers'),('extents_for_templates','a:0:{}','Actived template-extension(s)'),('gallery_locked','false','Lock your gallery temporary for non admin users'),('gallery_title','Piwigo demonstration site','Title at top of each page and for RSS feed'),('gallery_url','','Optional alternate homepage for the gallery'),('history_admin','false','keep a history of administrator visits on your website'),('history_guest','true','keep a history of guest visits on your website'),('index_created_date_icon','true','Display calendar by creation date icon'),('index_flat_icon','true','Display flat icon'),('index_posted_date_icon','true','Display calendar by posted date'),('index_slideshow_icon','true','Display slideshow icon'),('index_sort_order_input','true','Display image order selection list'),('local_data_dir_checked','true',NULL),('log','false','keep an history of visits on your website'),('menubar_filter_icon','true','Display filter icon'),('nbm_complementary_mail_content','','Complementary mail content for notification by mail'),('nbm_send_detailed_content','true','Send detailed content for notification by mail'),('nbm_send_html_mail','true','Send mail on HTML format for notification by mail'),('nbm_send_mail_as','','Send mail as param value for notification by mail'),('nbm_send_recent_post_dates','true','Send recent post by dates for notification by mail'),('nb_comment_page','10','number of comments to display on each page'),('no_photo_yet','false',NULL),('obligatory_user_mail_address','false','Mail address is obligatory for users'),('page_banner','<h1>Piwigo demonstration site</h1><p>My photos web site</p>','html displayed on the top each page of your gallery'),('picture_download_icon','true','Display download icon on picture page'),('picture_favorite_icon','true','Display favorite icon on picture page'),('picture_informations','a:11:{s:6:\"author\";b:1;s:10:\"created_on\";b:1;s:9:\"posted_on\";b:1;s:10:\"dimensions\";b:1;s:4:\"file\";b:1;s:8:\"filesize\";b:1;s:4:\"tags\";b:1;s:10:\"categories\";b:1;s:6:\"visits\";b:1;s:12:\"average_rate\";b:1;s:13:\"privacy_level\";b:1;}','Information displayed on picture page'),('picture_metadata_icon','true','Display metadata icon on picture page'),('picture_navigation_icons','true','Display navigation icons on picture page'),('picture_navigation_thumb','true','Display navigation thumbnails on picture page'),('picture_slideshow_icon','true','Display slideshow icon on picture page'),('rate','true','Rating pictures feature is enabled'),('rate_anonymous','true','Rating pictures feature is also enabled for visitors'),('secret_key','90613465a4cddcb8cf7fc366cacf090d','a secret key specific to the gallery for internal use'),('upload_form_thumb_maxheight','96',NULL),('upload_form_thumb_maxwidth','128',NULL),('upload_form_thumb_quality','95',NULL),('upload_form_websize_maxheight','600',NULL),('upload_form_websize_maxwidth','800',NULL),('upload_form_websize_quality','95',NULL),('upload_form_websize_resize','true',NULL),('upload_mode','multiple',NULL),('user_can_delete_comment','false','administrators can allow user delete their own comments'),('user_can_edit_comment','false','administrators can allow user edit their own comments'),('week_starts_on','monday','Monday may not be the first day of the week'),('autoupdate_ignore_list','a:3:{s:7:\"plugins\";a:0:{}s:6:\"themes\";a:0:{}s:9:\"languages\";a:0:{}}',NULL);
/*!40000 ALTER TABLE `piwigo_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_favorites`
--

DROP TABLE IF EXISTS `piwigo_favorites`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_favorites` (
  `user_id` smallint(5) NOT NULL default '0',
  `image_id` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`image_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_favorites`
--

LOCK TABLES `piwigo_favorites` WRITE;
/*!40000 ALTER TABLE `piwigo_favorites` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_favorites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_group_access`
--

DROP TABLE IF EXISTS `piwigo_group_access`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_group_access` (
  `group_id` smallint(5) unsigned NOT NULL default '0',
  `cat_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`group_id`,`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_group_access`
--

LOCK TABLES `piwigo_group_access` WRITE;
/*!40000 ALTER TABLE `piwigo_group_access` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_group_access` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_groups`
--

DROP TABLE IF EXISTS `piwigo_groups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_groups` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `is_default` enum('true','false') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `groups_ui1` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_groups`
--

LOCK TABLES `piwigo_groups` WRITE;
/*!40000 ALTER TABLE `piwigo_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_history`
--

DROP TABLE IF EXISTS `piwigo_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_history` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `user_id` smallint(5) NOT NULL default '0',
  `IP` varchar(15) NOT NULL default '',
  `section` enum('categories','tags','search','list','favorites','most_visited','best_rated','recent_pics','recent_cats') default NULL,
  `category_id` smallint(5) default NULL,
  `tag_ids` varchar(50) default NULL,
  `image_id` mediumint(8) default NULL,
  `summarized` enum('true','false') default 'false',
  `image_type` enum('picture','high','other') default NULL,
  PRIMARY KEY  (`id`),
  KEY `history_i1` (`summarized`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_history`
--

LOCK TABLES `piwigo_history` WRITE;
/*!40000 ALTER TABLE `piwigo_history` DISABLE KEYS */;
INSERT INTO `piwigo_history` VALUES (1,'2011-01-18','15:04:14',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(2,'2011-01-18','15:17:00',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(3,'2011-01-18','15:17:39',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(4,'2011-05-09','17:06:01',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(5,'2011-05-09','17:11:00',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(6,'2011-05-09','17:32:13',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(7,'2011-05-09','17:38:58',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(8,'2011-05-09','17:40:35',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(9,'2011-06-16','14:51:10',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(10,'2011-06-16','14:56:12',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(11,'2011-06-16','14:56:20',2,'127.0.0.1','categories',1,NULL,NULL,'false',NULL),(12,'2011-06-16','14:58:44',2,'127.0.0.1','categories',NULL,NULL,NULL,'false',NULL),(13,'2011-06-16','14:58:50',2,'127.0.0.1','categories',1,NULL,NULL,'false',NULL),(14,'2011-06-16','14:58:55',2,'127.0.0.1','categories',1,NULL,51,'false','picture');
/*!40000 ALTER TABLE `piwigo_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_history_summary`
--

DROP TABLE IF EXISTS `piwigo_history_summary`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_history_summary` (
  `year` smallint(4) NOT NULL default '0',
  `month` tinyint(2) default NULL,
  `day` tinyint(2) default NULL,
  `hour` tinyint(2) default NULL,
  `nb_pages` int(11) default NULL,
  UNIQUE KEY `history_summary_ymdh` (`year`,`month`,`day`,`hour`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_history_summary`
--

LOCK TABLES `piwigo_history_summary` WRITE;
/*!40000 ALTER TABLE `piwigo_history_summary` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_history_summary` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_image_category`
--

DROP TABLE IF EXISTS `piwigo_image_category`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_image_category` (
  `image_id` mediumint(8) unsigned NOT NULL default '0',
  `category_id` smallint(5) unsigned NOT NULL default '0',
  `rank` mediumint(8) unsigned default NULL,
  PRIMARY KEY  (`image_id`,`category_id`),
  KEY `image_category_i1` (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_image_category`
--

LOCK TABLES `piwigo_image_category` WRITE;
/*!40000 ALTER TABLE `piwigo_image_category` DISABLE KEYS */;
INSERT INTO `piwigo_image_category` VALUES (1,1,NULL),(2,1,NULL),(3,1,NULL),(4,1,NULL),(5,1,NULL),(6,1,NULL),(7,1,NULL),(8,1,NULL),(9,1,NULL),(10,1,NULL),(11,1,NULL),(12,1,NULL),(13,1,NULL),(14,1,NULL),(15,1,NULL),(16,1,NULL),(17,1,NULL),(18,1,NULL),(19,1,NULL),(20,1,NULL),(21,1,NULL),(22,1,NULL),(23,1,NULL),(24,1,NULL),(25,1,NULL),(26,1,NULL),(27,1,NULL),(28,1,NULL),(29,1,NULL),(30,1,NULL),(31,1,NULL),(32,1,NULL),(33,1,NULL),(34,1,NULL),(35,1,NULL),(36,1,NULL),(37,1,NULL),(38,1,NULL),(39,1,NULL),(40,1,NULL),(41,1,NULL),(42,1,NULL),(43,1,NULL),(44,1,NULL),(45,1,NULL),(46,1,NULL),(47,1,NULL),(48,1,NULL),(49,1,NULL),(50,1,NULL),(51,1,NULL);
/*!40000 ALTER TABLE `piwigo_image_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_image_tag`
--

DROP TABLE IF EXISTS `piwigo_image_tag`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_image_tag` (
  `image_id` mediumint(8) unsigned NOT NULL default '0',
  `tag_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`image_id`,`tag_id`),
  KEY `image_tag_i1` (`tag_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_image_tag`
--

LOCK TABLES `piwigo_image_tag` WRITE;
/*!40000 ALTER TABLE `piwigo_image_tag` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_image_tag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_images`
--

DROP TABLE IF EXISTS `piwigo_images`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_images` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `file` varchar(255) character set utf8 collate utf8_bin NOT NULL default '',
  `date_available` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_creation` datetime default NULL,
  `tn_ext` varchar(4) default '',
  `name` varchar(255) default NULL,
  `comment` text,
  `author` varchar(255) default NULL,
  `hit` int(10) unsigned NOT NULL default '0',
  `filesize` mediumint(9) unsigned default NULL,
  `width` smallint(9) unsigned default NULL,
  `height` smallint(9) unsigned default NULL,
  `representative_ext` varchar(4) default NULL,
  `date_metadata_update` date default NULL,
  `average_rate` float(5,2) unsigned default NULL,
  `has_high` enum('true') default NULL,
  `path` varchar(255) NOT NULL default '',
  `storage_category_id` smallint(5) unsigned default NULL,
  `high_filesize` mediumint(9) unsigned default NULL,
  `level` tinyint(3) unsigned NOT NULL default '0',
  `md5sum` char(32) default NULL,
  `added_by` smallint(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `images_i2` (`date_available`),
  KEY `images_i3` (`average_rate`),
  KEY `images_i4` (`hit`),
  KEY `images_i5` (`date_creation`),
  KEY `images_i1` (`storage_category_id`)
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_images`
--

LOCK TABLES `piwigo_images` WRITE;
/*!40000 ALTER TABLE `piwigo_images` DISABLE KEYS */;
INSERT INTO `piwigo_images` VALUES (1,'pingouincouv.jpg','2011-01-18 14:48:38',NULL,'jpg',NULL,NULL,NULL,1,215,800,557,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144838-98646ae1.jpg',NULL,1233,0,'98646ae12459aca907e2c5d3de6582b3',1),(2,'2.jpg','2011-01-18 14:48:47',NULL,'jpg',NULL,NULL,NULL,0,76,402,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144847-83f7ac5a.jpg',NULL,689,0,'83f7ac5a05597891ad7bcb793b22c830',1),(3,'3.jpg','2011-01-18 14:48:55',NULL,'jpg',NULL,NULL,NULL,0,43,378,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144855-7a8d1635.jpg',NULL,283,0,'7a8d1635d26ee9d8cecdde87c2f6f248',1),(4,'4.jpg','2011-01-18 14:49:03',NULL,'jpg',NULL,NULL,NULL,0,60,393,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144903-cab1590d.jpg',NULL,445,0,'cab1590d9be663e5543dd138f06f223f',1),(5,'5.jpg','2011-01-18 14:49:10',NULL,'jpg',NULL,NULL,NULL,0,85,408,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144910-83d8e64b.jpg',NULL,630,0,'83d8e64b7c98d9f2a3347ee72785451b',1),(6,'6.jpg','2011-01-18 14:49:16',NULL,'jpg',NULL,NULL,NULL,0,76,411,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144916-eed27689.jpg',NULL,618,0,'eed276891fcbe4e1d656f38aaaf25298',1),(7,'7.jpg','2011-01-18 14:49:23',NULL,'jpg',NULL,NULL,NULL,0,88,407,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144923-519d43d1.jpg',NULL,827,0,'519d43d1e2b5ee3ceb24bed89fc066a9',1),(8,'8.jpg','2011-01-18 14:49:29',NULL,'jpg',NULL,NULL,NULL,0,80,407,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144929-a3bae4b5.jpg',NULL,579,0,'a3bae4b59d9b78d682eac1ac6aee0276',1),(9,'9.jpg','2011-01-18 14:49:35',NULL,'jpg',NULL,NULL,NULL,0,52,382,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144935-1ac0a239.jpg',NULL,373,0,'1ac0a239a9e6382b32ec7396c938047f',1),(10,'13.jpg','2011-01-18 14:49:41',NULL,'jpg',NULL,NULL,NULL,0,37,363,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144941-4c800c1f.jpg',NULL,203,0,'4c800c1f36089e394d4e3bbba223519b',1),(11,'14.jpg','2011-01-18 14:49:46',NULL,'jpg',NULL,NULL,NULL,0,74,400,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144946-9873f0c0.jpg',NULL,458,0,'9873f0c0e5f9fd01eeff1d2faf908f22',1),(12,'16.jpg','2011-01-18 14:49:51',NULL,'jpg',NULL,NULL,NULL,0,43,358,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144951-0b359263.jpg',NULL,255,0,'0b35926368837ee13e32c6aa82c8b781',1),(13,'17.jpg','2011-01-18 14:49:56',NULL,'jpg',NULL,NULL,NULL,0,74,363,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118144956-58547880.jpg',NULL,486,0,'585478803e7556276013132bd506402a',1),(14,'18.jpg','2011-01-18 14:50:07',NULL,'jpg',NULL,NULL,NULL,0,82,405,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145007-4d99edad.jpg',NULL,469,0,'4d99edad045eda778cdcee27994eee48',1),(15,'19.jpg','2011-01-18 14:50:12',NULL,'jpg',NULL,NULL,NULL,0,75,409,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145012-4ea1a3e8.jpg',NULL,444,0,'4ea1a3e81a36ae4031a8c987682effc0',1),(16,'20.jpg','2011-01-18 14:50:17',NULL,'jpg',NULL,NULL,NULL,0,69,358,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145017-e40e9471.jpg',NULL,375,0,'e40e947117b6a39d14c451b42dcc1f46',1),(17,'21.jpg','2011-01-18 14:50:22',NULL,'jpg',NULL,NULL,NULL,0,70,365,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145022-bdba4857.jpg',NULL,383,0,'bdba485778d407fd4bd5b9702484a5a3',1),(18,'22.jpg','2011-01-18 14:50:27',NULL,'jpg',NULL,NULL,NULL,0,64,397,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145027-d2aa5554.jpg',NULL,396,0,'d2aa5554975f0baacb8befa40e5208e5',1),(19,'23.jpg','2011-01-18 14:50:33',NULL,'jpg',NULL,NULL,NULL,0,75,374,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145033-5b0e54a3.jpg',NULL,568,0,'5b0e54a3b6e8329b730ad295d8b74452',1),(20,'24.jpg','2011-01-18 14:50:38',NULL,'jpg',NULL,NULL,NULL,0,57,369,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145038-b497d8a4.jpg',NULL,324,0,'b497d8a43f18720d0742f3a9a161d68c',1),(21,'25.jpg','2011-01-18 14:50:44',NULL,'jpg',NULL,NULL,NULL,0,72,407,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145044-d3c6911e.jpg',NULL,426,0,'d3c6911e65707633fa074c3bb829f748',1),(22,'26.jpg','2011-01-18 14:50:49',NULL,'jpg',NULL,NULL,NULL,0,63,374,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145049-5b76cccc.jpg',NULL,337,0,'5b76ccccda4beb1c2d1a59f2fbc9c6af',1),(23,'27.jpg','2011-01-18 14:50:54',NULL,'jpg',NULL,NULL,NULL,0,56,374,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145054-7ddf5689.jpg',NULL,332,0,'7ddf5689f6b7c7bdb301cd401fedccce',1),(24,'28.jpg','2011-01-18 14:51:00',NULL,'jpg',NULL,NULL,NULL,0,65,389,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145100-85e9da83.jpg',NULL,473,0,'85e9da8304fe086deb44f8b472e50a5a',1),(25,'29.jpg','2011-01-18 14:51:05',NULL,'jpg',NULL,NULL,NULL,0,73,367,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145105-1613f87d.jpg',NULL,448,0,'1613f87d8009085774eb2460f7915824',1),(26,'30.jpg','2011-01-18 14:51:10',NULL,'jpg',NULL,NULL,NULL,0,48,369,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145110-97a8354c.jpg',NULL,261,0,'97a8354c3b6116ab6a8925248f31c070',1),(27,'31.jpg','2011-01-18 14:51:16',NULL,'jpg',NULL,NULL,NULL,0,58,405,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145116-252e8d4a.jpg',NULL,358,0,'252e8d4ac003fdc2cd4b3450b8341e7d',1),(28,'32.jpg','2011-01-18 14:51:21',NULL,'jpg',NULL,NULL,NULL,0,53,371,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145121-0e94d622.jpg',NULL,303,0,'0e94d62228485c3a72f98a5470f17334',1),(29,'33.jpg','2011-01-18 14:51:26',NULL,'jpg',NULL,NULL,NULL,0,61,367,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145126-85110dfa.jpg',NULL,396,0,'85110dfa11bb883c7123dc7bcf4fd630',1),(30,'34.jpg','2011-01-18 14:51:31',NULL,'jpg',NULL,NULL,NULL,0,58,378,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145131-309c183d.jpg',NULL,339,0,'309c183d83ece29cebef496ea67dfb50',1),(31,'35.jpg','2011-01-18 14:51:41',NULL,'jpg',NULL,NULL,NULL,0,55,375,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145141-cdd7d667.jpg',NULL,319,0,'cdd7d6677db4af922a2ce2cb28ad3033',1),(32,'36.jpg','2011-01-18 14:51:46',NULL,'jpg',NULL,NULL,NULL,0,90,371,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145146-0c6c3d52.jpg',NULL,701,0,'0c6c3d5235beb3a18756603268c42a88',1),(33,'37.jpg','2011-01-18 14:51:51',NULL,'jpg',NULL,NULL,NULL,0,63,406,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145151-5c5531f8.jpg',NULL,397,0,'5c5531f837cb4d296e4f5e1f14627e3b',1),(34,'38.jpg','2011-01-18 14:51:56',NULL,'jpg',NULL,NULL,NULL,0,54,390,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145156-7b936ebd.jpg',NULL,288,0,'7b936ebd2de8fe902adf83abcd089f32',1),(35,'39.jpg','2011-01-18 14:52:01',NULL,'jpg',NULL,NULL,NULL,0,63,376,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145201-0c15c6ae.jpg',NULL,361,0,'0c15c6aeb1929e735f48e8ec0eae2ffc',1),(36,'40.jpg','2011-01-18 14:52:06',NULL,'jpg',NULL,NULL,NULL,0,62,409,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145206-b604078e.jpg',NULL,432,0,'b604078e745d29a5e45506ff2f30b963',1),(37,'41.jpg','2011-01-18 14:52:12',NULL,'jpg',NULL,NULL,NULL,0,59,396,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145212-6daa133c.jpg',NULL,364,0,'6daa133c2fcc38ea63d50c79289f84da',1),(38,'42.jpg','2011-01-18 14:52:18',NULL,'jpg',NULL,NULL,NULL,0,43,369,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145218-b9596993.jpg',NULL,231,0,'b9596993b3c548faeef202cc4222913d',1),(39,'43.jpg','2011-01-18 14:52:23',NULL,'jpg',NULL,NULL,NULL,0,84,369,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145223-677820e5.jpg',NULL,483,0,'677820e550c97de58178c363c0354939',1),(40,'44.jpg','2011-01-18 14:52:28',NULL,'jpg',NULL,NULL,NULL,0,62,400,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145228-e874b3e7.jpg',NULL,339,0,'e874b3e746c3fdeef0ca67746c6f8644',1),(41,'45.jpg','2011-01-18 14:52:33',NULL,'jpg',NULL,NULL,NULL,0,50,397,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145233-331a79c3.jpg',NULL,260,0,'331a79c36675dbe14622eff6e94ee0c6',1),(42,'47.jpg','2011-01-18 14:52:38',NULL,'jpg',NULL,NULL,NULL,0,84,400,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145238-bfee4eb3.jpg',NULL,538,0,'bfee4eb3af335e8003ab5244357918aa',1),(43,'48.jpg','2011-01-18 14:52:44',NULL,'jpg',NULL,NULL,NULL,0,64,380,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145244-a2765578.jpg',NULL,366,0,'a2765578b5383cdbfa409cc85d80068d',1),(44,'49.jpg','2011-01-18 14:52:49',NULL,'jpg',NULL,NULL,NULL,0,74,371,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145249-4f8c71ad.jpg',NULL,464,0,'4f8c71adb845d1a9a05d982f8fb2e720',1),(45,'50.jpg','2011-01-18 14:52:54',NULL,'jpg',NULL,NULL,NULL,0,69,405,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145254-c508803c.jpg',NULL,424,0,'c508803c7f339f9a89d3f1f7a3135a1a',1),(46,'51.jpg','2011-01-18 14:53:00',NULL,'jpg',NULL,NULL,NULL,0,59,363,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145300-e80f4d84.jpg',NULL,322,0,'e80f4d84744b37a08a14b49966126ce0',1),(47,'52.jpg','2011-01-18 14:53:06',NULL,'jpg',NULL,NULL,NULL,0,53,376,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145306-76693a7a.jpg',NULL,311,0,'76693a7a087fefbef73fe1611fa16bbe',1),(48,'53.jpg','2011-01-18 14:53:10',NULL,'jpg',NULL,NULL,NULL,0,67,367,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145310-78fc839a.jpg',NULL,393,0,'78fc839a6bf4d2c1c462db0420065ed7',1),(49,'54.jpg','2011-01-18 14:53:15',NULL,'jpg',NULL,NULL,NULL,0,50,371,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145315-02f33002.jpg',NULL,290,0,'02f33002836a20ed30a40e23d069937a',1),(50,'PINGOUI2.jpg','2011-01-18 14:53:21',NULL,'jpg',NULL,NULL,NULL,0,73,420,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145321-231a1065.jpg',NULL,286,0,'231a106554de00040e9e3eae92472c0e',1),(51,'PINGOUIN.jpg','2011-01-18 14:53:25',NULL,'jpg',NULL,NULL,NULL,1,65,359,600,NULL,'2011-01-18',NULL,'true','./upload/2011/01/18/20110118145325-5f1d6928.jpg',NULL,343,0,'5f1d6928076fe94637e3a9cc59885e84',1);
/*!40000 ALTER TABLE `piwigo_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_languages`
--

DROP TABLE IF EXISTS `piwigo_languages`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_languages` (
  `id` varchar(64) NOT NULL default '',
  `version` varchar(64) NOT NULL default '0',
  `name` varchar(64) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_languages`
--

LOCK TABLES `piwigo_languages` WRITE;
/*!40000 ALTER TABLE `piwigo_languages` DISABLE KEYS */;
INSERT INTO `piwigo_languages` VALUES ('ar_SA','0','العربية [AR]'),('ca_ES','0','Catalan [CA]'),('cs_CZ','0','Česky [CZ]'),('da_DK','0','Dansk [DK]'),('de_DE','0','Deutsch [DE]'),('en_UK','0','English [UK]'),('es_AR','0','Español [AR]'),('es_ES','0','Español [ES]'),('fa_IR','0','فارسی [IR]'),('fr_CA','0','Français [QC]'),('fr_FR','0','Français [FR]'),('he_IL','0','עברית [IL]'),('hr_HR','0','Hrvatski [HR]'),('hu_HU','0','Magyar [HU]'),('it_IT','0','Italiano [IT]'),('ja_JP','0','日本語 [JP]'),('ka_GE','0','ქართული [GE]'),('lv_LV','0','Latviešu [LV]'),('mk_MK','0','Македонски [MK]'),('nl_NL','0','Nederlands [NL]'),('pl_PL','0','Polski [PL]'),('pt_BR','0','Brasil [BR]'),('pt_PT','0','Português [PT]'),('ro_RO','0','Română [RO]'),('ru_RU','0','Русский [RU]'),('sh_RS','0','Srpski [SR]'),('sk_SK','0','Slovensky [SK]'),('sl_SL','0','Slovenšcina [SL]'),('sr_RS','0','Српски [SR]'),('sv_SE','0','Svenska [SE]\n'),('tr_TR','0','Türkçe [TR]'),('vi_VN','0','Tiếng Việt [VN]'),('zh_CN','0','简体中文 [CN]');
/*!40000 ALTER TABLE `piwigo_languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_old_permalinks`
--

DROP TABLE IF EXISTS `piwigo_old_permalinks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_old_permalinks` (
  `cat_id` smallint(5) unsigned NOT NULL default '0',
  `permalink` varchar(64) character set utf8 collate utf8_bin NOT NULL default '',
  `date_deleted` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_hit` datetime default NULL,
  `hit` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`permalink`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_old_permalinks`
--

LOCK TABLES `piwigo_old_permalinks` WRITE;
/*!40000 ALTER TABLE `piwigo_old_permalinks` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_old_permalinks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_plugins`
--

DROP TABLE IF EXISTS `piwigo_plugins`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_plugins` (
  `id` varchar(64) character set utf8 collate utf8_bin NOT NULL default '',
  `state` enum('inactive','active') NOT NULL default 'inactive',
  `version` varchar(64) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_plugins`
--

LOCK TABLES `piwigo_plugins` WRITE;
/*!40000 ALTER TABLE `piwigo_plugins` DISABLE KEYS */;
INSERT INTO `piwigo_plugins` VALUES ('autoupdate','active','2.2.e'),('c13y_upgrade','inactive','0');
/*!40000 ALTER TABLE `piwigo_plugins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_rate`
--

DROP TABLE IF EXISTS `piwigo_rate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_rate` (
  `user_id` smallint(5) NOT NULL default '0',
  `element_id` mediumint(8) unsigned NOT NULL default '0',
  `anonymous_id` varchar(45) NOT NULL default '',
  `rate` tinyint(2) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`element_id`,`user_id`,`anonymous_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_rate`
--

LOCK TABLES `piwigo_rate` WRITE;
/*!40000 ALTER TABLE `piwigo_rate` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_rate` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_search`
--

DROP TABLE IF EXISTS `piwigo_search`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_search` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `last_seen` date default NULL,
  `rules` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_search`
--

LOCK TABLES `piwigo_search` WRITE;
/*!40000 ALTER TABLE `piwigo_search` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_search` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_sessions`
--

DROP TABLE IF EXISTS `piwigo_sessions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_sessions` (
  `id` varchar(255) character set utf8 collate utf8_bin NOT NULL default '',
  `data` mediumtext NOT NULL,
  `expiration` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_sessions`
--

LOCK TABLES `piwigo_sessions` WRITE;
/*!40000 ALTER TABLE `piwigo_sessions` DISABLE KEYS */;
INSERT INTO `piwigo_sessions` VALUES ('7F0013ef5b2c87d8c645da2c2597f1a8e377','','2011-01-18 15:04:15'),('7F00c333da315d88318c53a01cfa3b3942fb','','2011-06-16 14:58:56'),('7F006fc4e1bd2ebeb25d961309ad12630865','pwg_uid|i:1;uploads|a:1:{s:32:\"cd474f6341aeffd65f93084d0dae3453\";a:51:{i:0;i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;i:5;i:5;i:6;i:6;i:7;i:7;i:8;i:8;i:9;i:9;i:10;i:10;i:11;i:11;i:12;i:12;i:13;i:13;i:14;i:14;i:15;i:15;i:16;i:16;i:17;i:17;i:18;i:18;i:19;i:19;i:20;i:20;i:21;i:21;i:22;i:22;i:23;i:23;i:24;i:24;i:25;i:25;i:26;i:26;i:27;i:27;i:28;i:28;i:29;i:29;i:30;i:30;i:31;i:31;i:32;i:32;i:33;i:33;i:34;i:34;i:35;i:35;i:36;i:36;i:37;i:37;i:38;i:38;i:39;i:39;i:40;i:40;i:41;i:41;i:42;i:42;i:43;i:43;i:44;i:44;i:45;i:45;i:46;i:46;i:47;i:47;i:48;i:48;i:49;i:49;i:50;i:50;i:51;}}','2011-01-18 14:56:50'),('7F0084fb72d2bb905da2697aa0e0c55a5193','','2011-01-18 15:17:01'),('7F0097569fc39027bfeadc40e1855df26aec','','2011-01-18 15:17:40'),('7F00d077a5f0a5f3d9e82e2fd97aa1495ac1','pwg_uid|i:1;','2011-05-09 17:07:32'),('7F00071759228cf16cb2cd970f4ebdd447d7','','2011-05-09 17:32:14'),('7F00d1adef3da4ec12693b6bcd37a4a44b23','','2011-05-09 17:38:58'),('7F004572637d46c62f2a242a50b9c5e8aded','','2011-05-09 17:40:36'),('7F0067a08b2ecba314333825724947021118','','2011-06-16 14:56:21');
/*!40000 ALTER TABLE `piwigo_sessions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_sites`
--

DROP TABLE IF EXISTS `piwigo_sites`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_sites` (
  `id` tinyint(4) NOT NULL auto_increment,
  `galleries_url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `sites_ui1` (`galleries_url`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_sites`
--

LOCK TABLES `piwigo_sites` WRITE;
/*!40000 ALTER TABLE `piwigo_sites` DISABLE KEYS */;
INSERT INTO `piwigo_sites` VALUES (1,'./galleries/');
/*!40000 ALTER TABLE `piwigo_sites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_tags`
--

DROP TABLE IF EXISTS `piwigo_tags`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_tags` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 collate utf8_bin NOT NULL default '',
  `url_name` varchar(255) character set utf8 collate utf8_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `tags_i1` (`url_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_tags`
--

LOCK TABLES `piwigo_tags` WRITE;
/*!40000 ALTER TABLE `piwigo_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_themes`
--

DROP TABLE IF EXISTS `piwigo_themes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_themes` (
  `id` varchar(64) NOT NULL default '',
  `version` varchar(64) NOT NULL default '0',
  `name` varchar(64) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_themes`
--

LOCK TABLES `piwigo_themes` WRITE;
/*!40000 ALTER TABLE `piwigo_themes` DISABLE KEYS */;
INSERT INTO `piwigo_themes` VALUES ('clear','3','clear'),('dark','1','dark'),('Sylvia','1','Sylvia');
/*!40000 ALTER TABLE `piwigo_themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_upgrade`
--

DROP TABLE IF EXISTS `piwigo_upgrade`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_upgrade` (
  `id` varchar(20) NOT NULL default '',
  `applied` datetime NOT NULL default '0000-00-00 00:00:00',
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_upgrade`
--

LOCK TABLES `piwigo_upgrade` WRITE;
/*!40000 ALTER TABLE `piwigo_upgrade` DISABLE KEYS */;
INSERT INTO `piwigo_upgrade` VALUES ('1','2011-01-18 14:46:20','upgrade included in installation'),('10','2011-01-18 14:46:20','upgrade included in installation'),('11','2011-01-18 14:46:20','upgrade included in installation'),('12','2011-01-18 14:46:20','upgrade included in installation'),('13','2011-01-18 14:46:20','upgrade included in installation'),('14','2011-01-18 14:46:20','upgrade included in installation'),('15','2011-01-18 14:46:20','upgrade included in installation'),('16','2011-01-18 14:46:20','upgrade included in installation'),('17','2011-01-18 14:46:20','upgrade included in installation'),('18','2011-01-18 14:46:20','upgrade included in installation'),('19','2011-01-18 14:46:20','upgrade included in installation'),('2','2011-01-18 14:46:20','upgrade included in installation'),('20','2011-01-18 14:46:20','upgrade included in installation'),('21','2011-01-18 14:46:20','upgrade included in installation'),('22','2011-01-18 14:46:20','upgrade included in installation'),('23','2011-01-18 14:46:20','upgrade included in installation'),('24','2011-01-18 14:46:20','upgrade included in installation'),('25','2011-01-18 14:46:20','upgrade included in installation'),('26','2011-01-18 14:46:20','upgrade included in installation'),('27','2011-01-18 14:46:20','upgrade included in installation'),('28','2011-01-18 14:46:20','upgrade included in installation'),('29','2011-01-18 14:46:20','upgrade included in installation'),('3','2011-01-18 14:46:20','upgrade included in installation'),('30','2011-01-18 14:46:20','upgrade included in installation'),('31','2011-01-18 14:46:20','upgrade included in installation'),('32','2011-01-18 14:46:20','upgrade included in installation'),('33','2011-01-18 14:46:20','upgrade included in installation'),('34','2011-01-18 14:46:20','upgrade included in installation'),('35','2011-01-18 14:46:20','upgrade included in installation'),('36','2011-01-18 14:46:20','upgrade included in installation'),('37','2011-01-18 14:46:20','upgrade included in installation'),('38','2011-01-18 14:46:20','upgrade included in installation'),('39','2011-01-18 14:46:20','upgrade included in installation'),('4','2011-01-18 14:46:20','upgrade included in installation'),('40','2011-01-18 14:46:20','upgrade included in installation'),('41','2011-01-18 14:46:20','upgrade included in installation'),('42','2011-01-18 14:46:20','upgrade included in installation'),('43','2011-01-18 14:46:20','upgrade included in installation'),('44','2011-01-18 14:46:20','upgrade included in installation'),('45','2011-01-18 14:46:20','upgrade included in installation'),('46','2011-01-18 14:46:20','upgrade included in installation'),('47','2011-01-18 14:46:20','upgrade included in installation'),('48','2011-01-18 14:46:20','upgrade included in installation'),('49','2011-01-18 14:46:20','upgrade included in installation'),('5','2011-01-18 14:46:20','upgrade included in installation'),('50','2011-01-18 14:46:20','upgrade included in installation'),('51','2011-01-18 14:46:20','upgrade included in installation'),('52','2011-01-18 14:46:20','upgrade included in installation'),('53','2011-01-18 14:46:20','upgrade included in installation'),('54','2011-01-18 14:46:20','upgrade included in installation'),('55','2011-01-18 14:46:20','upgrade included in installation'),('56','2011-01-18 14:46:20','upgrade included in installation'),('57','2011-01-18 14:46:20','upgrade included in installation'),('58','2011-01-18 14:46:20','upgrade included in installation'),('59','2011-01-18 14:46:20','upgrade included in installation'),('6','2011-01-18 14:46:20','upgrade included in installation'),('60','2011-01-18 14:46:20','upgrade included in installation'),('61','2011-01-18 14:46:20','upgrade included in installation'),('62','2011-01-18 14:46:20','upgrade included in installation'),('63','2011-01-18 14:46:20','upgrade included in installation'),('64','2011-01-18 14:46:20','upgrade included in installation'),('65','2011-01-18 14:46:20','upgrade included in installation'),('66','2011-01-18 14:46:20','upgrade included in installation'),('67','2011-01-18 14:46:20','upgrade included in installation'),('68','2011-01-18 14:46:20','upgrade included in installation'),('69','2011-01-18 14:46:20','upgrade included in installation'),('7','2011-01-18 14:46:20','upgrade included in installation'),('70','2011-01-18 14:46:20','upgrade included in installation'),('71','2011-01-18 14:46:20','upgrade included in installation'),('72','2011-01-18 14:46:20','upgrade included in installation'),('73','2011-01-18 14:46:20','upgrade included in installation'),('74','2011-01-18 14:46:20','upgrade included in installation'),('75','2011-01-18 14:46:20','upgrade included in installation'),('76','2011-01-18 14:46:20','upgrade included in installation'),('77','2011-01-18 14:46:20','upgrade included in installation'),('78','2011-01-18 14:46:20','upgrade included in installation'),('79','2011-01-18 14:46:20','upgrade included in installation'),('8','2011-01-18 14:46:20','upgrade included in installation'),('80','2011-01-18 14:46:20','upgrade included in installation'),('81','2011-01-18 14:46:20','upgrade included in installation'),('82','2011-01-18 14:46:20','upgrade included in installation'),('83','2011-01-18 14:46:20','upgrade included in installation'),('84','2011-01-18 14:46:20','upgrade included in installation'),('85','2011-01-18 14:46:20','upgrade included in installation'),('86','2011-01-18 14:46:20','upgrade included in installation'),('87','2011-01-18 14:46:20','upgrade included in installation'),('88','2011-01-18 14:46:20','upgrade included in installation'),('89','2011-01-18 14:46:20','upgrade included in installation'),('9','2011-01-18 14:46:20','upgrade included in installation'),('90','2011-01-18 14:46:20','upgrade included in installation'),('91','2011-05-09 17:22:32','[migration from 2.1.0 to 2.2.1] Remove adviser status.'),('92','2011-05-09 17:22:33','[migration from 2.1.0 to 2.2.1] New colum images.added_by, reference to users.id'),('93','2011-05-09 17:22:33','[migration from 2.1.0 to 2.2.1] Monday may not be the first day of the week'),('94','2011-05-09 17:22:33','[migration from 2.1.0 to 2.2.1] remove user upload as core feature and save config for Community plugin'),('95','2011-05-09 17:22:34','[migration from 2.1.0 to 2.2.1] New colum user_cache_categories.user_representative_picture_id'),('96','2011-05-09 17:22:34','[migration from 2.1.0 to 2.2.1] add time in images.date_creation column'),('97','2011-05-09 17:22:34','[migration from 2.1.0 to 2.2.1] makes sure default user has a theme and a language');
/*!40000 ALTER TABLE `piwigo_upgrade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_access`
--

DROP TABLE IF EXISTS `piwigo_user_access`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_access` (
  `user_id` smallint(5) NOT NULL default '0',
  `cat_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_access`
--

LOCK TABLES `piwigo_user_access` WRITE;
/*!40000 ALTER TABLE `piwigo_user_access` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_user_access` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_cache`
--

DROP TABLE IF EXISTS `piwigo_user_cache`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_cache` (
  `user_id` smallint(5) NOT NULL default '0',
  `need_update` enum('true','false') NOT NULL default 'true',
  `cache_update_time` int(10) unsigned NOT NULL default '0',
  `forbidden_categories` mediumtext,
  `nb_total_images` mediumint(8) unsigned default NULL,
  `image_access_type` enum('NOT IN','IN') NOT NULL default 'NOT IN',
  `image_access_list` mediumtext,
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_cache`
--

LOCK TABLES `piwigo_user_cache` WRITE;
/*!40000 ALTER TABLE `piwigo_user_cache` DISABLE KEYS */;
INSERT INTO `piwigo_user_cache` VALUES (1,'false',1308228890,'0',51,'NOT IN','0'),(2,'false',1308228966,'0',51,'NOT IN','0');
/*!40000 ALTER TABLE `piwigo_user_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_cache_categories`
--

DROP TABLE IF EXISTS `piwigo_user_cache_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_cache_categories` (
  `user_id` smallint(5) NOT NULL default '0',
  `cat_id` smallint(5) unsigned NOT NULL default '0',
  `date_last` datetime default NULL,
  `max_date_last` datetime default NULL,
  `nb_images` mediumint(8) unsigned NOT NULL default '0',
  `count_images` mediumint(8) unsigned default '0',
  `count_categories` mediumint(8) unsigned default '0',
  `user_representative_picture_id` mediumint(8) unsigned default NULL,
  PRIMARY KEY  (`user_id`,`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_cache_categories`
--

LOCK TABLES `piwigo_user_cache_categories` WRITE;
/*!40000 ALTER TABLE `piwigo_user_cache_categories` DISABLE KEYS */;
INSERT INTO `piwigo_user_cache_categories` VALUES (1,1,'2011-01-18 14:53:25','2011-01-18 14:53:25',51,51,0,NULL),(2,1,'2011-01-18 14:53:25','2011-01-18 14:53:25',51,51,0,3);
/*!40000 ALTER TABLE `piwigo_user_cache_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_feed`
--

DROP TABLE IF EXISTS `piwigo_user_feed`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_feed` (
  `id` varchar(50) character set utf8 collate utf8_bin NOT NULL default '',
  `user_id` smallint(5) NOT NULL default '0',
  `last_check` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_feed`
--

LOCK TABLES `piwigo_user_feed` WRITE;
/*!40000 ALTER TABLE `piwigo_user_feed` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_user_feed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_group`
--

DROP TABLE IF EXISTS `piwigo_user_group`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_group` (
  `user_id` smallint(5) NOT NULL default '0',
  `group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`group_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_group`
--

LOCK TABLES `piwigo_user_group` WRITE;
/*!40000 ALTER TABLE `piwigo_user_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_user_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_infos`
--

DROP TABLE IF EXISTS `piwigo_user_infos`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_infos` (
  `user_id` smallint(5) NOT NULL default '0',
  `nb_image_line` tinyint(1) unsigned NOT NULL default '5',
  `nb_line_page` tinyint(3) unsigned NOT NULL default '3',
  `status` enum('webmaster','admin','normal','generic','guest') NOT NULL default 'guest',
  `language` varchar(50) NOT NULL default 'en_UK',
  `maxwidth` smallint(6) default NULL,
  `maxheight` smallint(6) default NULL,
  `expand` enum('true','false') NOT NULL default 'false',
  `show_nb_comments` enum('true','false') NOT NULL default 'false',
  `show_nb_hits` enum('true','false') NOT NULL default 'false',
  `recent_period` tinyint(3) unsigned NOT NULL default '7',
  `theme` varchar(255) NOT NULL default 'Sylvia',
  `registration_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `enabled_high` enum('true','false') NOT NULL default 'true',
  `level` tinyint(3) unsigned NOT NULL default '0',
  UNIQUE KEY `user_infos_ui1` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_infos`
--

LOCK TABLES `piwigo_user_infos` WRITE;
/*!40000 ALTER TABLE `piwigo_user_infos` DISABLE KEYS */;
INSERT INTO `piwigo_user_infos` VALUES (1,5,3,'webmaster','fr_FR',NULL,NULL,'false','false','false',7,'Sylvia','2011-01-18 14:46:20','true',8),(2,5,3,'guest','fr_FR',NULL,NULL,'false','false','false',7,'Sylvia','2011-01-18 14:46:20','true',0);
/*!40000 ALTER TABLE `piwigo_user_infos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_user_mail_notification`
--

DROP TABLE IF EXISTS `piwigo_user_mail_notification`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_user_mail_notification` (
  `user_id` smallint(5) NOT NULL default '0',
  `check_key` varchar(16) character set utf8 collate utf8_bin NOT NULL default '',
  `enabled` enum('true','false') NOT NULL default 'false',
  `last_send` datetime default NULL,
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `user_mail_notification_ui1` (`check_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_user_mail_notification`
--

LOCK TABLES `piwigo_user_mail_notification` WRITE;
/*!40000 ALTER TABLE `piwigo_user_mail_notification` DISABLE KEYS */;
/*!40000 ALTER TABLE `piwigo_user_mail_notification` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `piwigo_users`
--

DROP TABLE IF EXISTS `piwigo_users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `piwigo_users` (
  `id` smallint(5) NOT NULL auto_increment,
  `username` varchar(100) character set utf8 collate utf8_bin NOT NULL default '',
  `password` varchar(32) default NULL,
  `mail_address` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `users_ui1` (`username`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `piwigo_users`
--

LOCK TABLES `piwigo_users` WRITE;
/*!40000 ALTER TABLE `piwigo_users` DISABLE KEYS */;
INSERT INTO `piwigo_users` VALUES (1,'admin','fd55b67e904e168a97c87fd283e870f1','adresse@email.test'),(2,'guest',NULL,NULL);
/*!40000 ALTER TABLE `piwigo_users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-06-16 13:03:43
